com.google.web.bindery.requestfactory.shared.messages

## Interface IdMessage

- All Known Subinterfaces:
    OperationMessage

      public interface IdMessage

  Used as a base type for messages that are about a particular id.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IdMessage.Strength` Describes the longevity of the id.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLIENT_ID`
    `static java.lang.String` | `SERVER_ID`
    `static java.lang.String` | `STRENGTH`
    `static java.lang.String` | `SYNTHETIC_ID`
    `static java.lang.String` | `TYPE_TOKEN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getClientId()`
    `java.lang.String` | `getServerId()`
    `IdMessage.Strength` | `getStrength()`
    `int` | `getSyntheticId()`
    `java.lang.String` | `getTypeToken()`
    `void` | `setClientId(int value)`
    `void` | `setServerId(java.lang.String value)`
    `void` | `setStrength(IdMessage.Strength value)`
    `void` | `setSyntheticId(int value)`
    `void` | `setTypeToken(java.lang.String value)`

- - ### Field Detail

    - #### CLIENT_ID

          static final java.lang.String CLIENT_ID

      See Also:
        Constant Field Values

    - #### SERVER_ID

          static final java.lang.String SERVER_ID

      See Also:
        Constant Field Values

    - #### TYPE_TOKEN

          static final java.lang.String TYPE_TOKEN

      See Also:
        Constant Field Values

    - #### STRENGTH

          static final java.lang.String STRENGTH

      See Also:
        Constant Field Values

    - #### SYNTHETIC_ID

          static final java.lang.String SYNTHETIC_ID

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getClientId

          @AutoBean.PropertyName(value="C")
          int getClientId()

    - #### getServerId

          @AutoBean.PropertyName(value="S")
          java.lang.String getServerId()

    - #### getStrength

          @AutoBean.PropertyName(value="R")
          IdMessage.Strength getStrength()

    - #### getSyntheticId

          @AutoBean.PropertyName(value="Y")
          int getSyntheticId()

    - #### getTypeToken

          @AutoBean.PropertyName(value="T")
          java.lang.String getTypeToken()

    - #### setClientId

          @AutoBean.PropertyName(value="C")
          void setClientId(int value)

    - #### setServerId

          @AutoBean.PropertyName(value="S")
          void setServerId(java.lang.String value)

    - #### setStrength

          @AutoBean.PropertyName(value="R")
          void setStrength(IdMessage.Strength value)

    - #### setSyntheticId

          @AutoBean.PropertyName(value="Y")
          void setSyntheticId(int value)

    - #### setTypeToken

          @AutoBean.PropertyName(value="T")
          void setTypeToken(java.lang.String value)